groovy.sql

## Class GroovyRowResult

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - groovy.sql.GroovyRowResult

All Implemented Interfaces:
  GroovyObject, Map

    public class GroovyRowResult
    extends GroovyObjectSupport
    implements Map

Represents an extent of objects. It's used in the oneRow method to be able to access the result of a SQL query by the name of the column, or by the column number.

Version:
  $Revision: 16759 $
Author:
  Jean-Louis Berliet

### Nested Class Summary

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`GroovyRowResult(Map result)`

### Method Summary

Methods
`void` `clear()`
`boolean` `containsKey(Object key)`
`boolean` `containsValue(Object value)`
`Set` `entrySet()`
`boolean` `equals(Object o)`
`Object` `get(Object property)`
`Object` `getAt(int index)` Retrieve the value of the property by its index.
`Object` `getProperty(String property)` Retrieve the value of the property by its name
`int` `hashCode()`
`boolean` `isEmpty()`
`Set` `keySet()`
`Object` `put(Object key, Object value)`
`void` `putAll(Map t)`
`Object` `remove(Object key)`
`int` `size()`
`String` `toString()`
`Collection` `values()`

### Methods inherited from class groovy.lang.GroovyObjectSupport

`getMetaClass, invokeMethod, setMetaClass, setProperty`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GroovyRowResult

    public GroovyRowResult(Map result)

### Method Detail

#### getProperty

    public Object getProperty(String property)

Retrieve the value of the property by its name

Specified by:
  `getProperty` in interface `GroovyObject`
Overrides:
  `getProperty` in class `GroovyObjectSupport`
Parameters:
  `property` - is the name of the property to look at
Returns:
  the value of the property

#### getAt

    public Object getAt(int index)

Retrieve the value of the property by its index. A negative index will count backwards from the last column.

Parameters:
  `index` - is the number of the column to look at
Returns:
  the value of the property

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### clear

    public void clear()

Specified by:
  `clear` in interface `Map`

#### containsKey

    public boolean containsKey(Object key)

Specified by:
  `containsKey` in interface `Map`

#### containsValue

    public boolean containsValue(Object value)

Specified by:
  `containsValue` in interface `Map`

#### entrySet

    public Set entrySet()

Specified by:
  `entrySet` in interface `Map`

#### equals

    public boolean equals(Object o)

Specified by:
  `equals` in interface `Map`
Overrides:
  `equals` in class `Object`

#### get

    public Object get(Object property)

Specified by:
  `get` in interface `Map`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `Map`
Overrides:
  `hashCode` in class `Object`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Map`

#### keySet

    public Set keySet()

Specified by:
  `keySet` in interface `Map`

#### put

    public Object put(Object key,
             Object value)

Specified by:
  `put` in interface `Map`

#### putAll

    public void putAll(Map t)

Specified by:
  `putAll` in interface `Map`

#### remove

    public Object remove(Object key)

Specified by:
  `remove` in interface `Map`

#### size

    public int size()

Specified by:
  `size` in interface `Map`

#### values

    public Collection values()

Specified by:
  `values` in interface `Map`